package at.jku.ssw.search;

import java.util.Comparator;

@SuppressWarnings("rawtypes")
public abstract class Searcher {

	/**
	 * Searches the array <code>haystack</code>, which is sorted using to
	 * comparator <code>cmp</code>, for object <code>needle</code> and returns
	 * its index or -1 if not found.
	 */
	public abstract int search(Object[] haystack, Object needle, Comparator cmp);
}